Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model
Class TimeZone

    java.lang.Object
      java.util.TimeZone
          net.fortuna.ical4j.model.TimeZone

All Implemented Interfaces:
  Serializable, Cloneable

    public class TimeZone

extends TimeZone

A Java timezone implementation based on an underlying VTimeZone definition.

Author:
  Ben Fortuna
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.TimeZone
`LONG, SHORT`

Constructor Summary
`TimeZone(VTimeZone vTimeZone)` Constructs a new instance based on the specified VTimeZone.

Method Summary
`int` | `getOffset(int era, int year, int month, int day, int dayOfWeek, int milliseconds)`
`int` | `getRawOffset()`
`VTimeZone` | `getVTimeZone()`
`boolean` | `inDaylightTime(Date date)` Determines if the specified date is in daylight time according to this timezone.
`void` | `setRawOffset(int offsetMillis)`
`boolean` | `useDaylightTime()`

Methods inherited from class java.util.TimeZone
`clone, getAvailableIDs, getAvailableIDs, getDefault, getDisplayName, getDisplayName, getDisplayName, getDisplayName, getDSTSavings, getID, getOffset, getTimeZone, hasSameRules, setDefault, setID`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeZone

    public TimeZone(VTimeZone vTimeZone)

  Constructs a new instance based on the specified VTimeZone.

  Parameters:
    `vTimeZone` -

Method Detail

### getOffset

    public final int getOffset(int era,
                               int year,
                               int month,
                               int day,
                               int dayOfWeek,
                               int milliseconds)

  Specified by:
    `getOffset` in class `TimeZone`

### getRawOffset

    public final int getRawOffset()

  Specified by:
    `getRawOffset` in class `TimeZone`

### inDaylightTime

    public final boolean inDaylightTime(Date date)

  Determines if the specified date is in daylight time according to this timezone. This is done by finding the latest supporting observance for the specified date and identifying whether it is daylight time.

  Specified by:
    `inDaylightTime` in class `TimeZone`

### setRawOffset

    public final void setRawOffset(int offsetMillis)

  Specified by:
    `setRawOffset` in class `TimeZone`

### useDaylightTime

    public final boolean useDaylightTime()

  Specified by:
    `useDaylightTime` in class `TimeZone`

### getVTimeZone

    public final VTimeZone getVTimeZone()

  Returns:
    Returns the VTimeZone backing this instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.